Skip to main content
POST
cURL

Path Parameters

connector_id
string
required

Body

application/json

Generic request model.

request
object
required

The main request payload.

include_raw_data
boolean

Whether to include raw data in the response.

page
object

Pagination information for the request.

settings
object

Connector-specific settings for the request.

These are settings that are shared across all capabilities.

Usually contain additional required configuration options not specified by the capability schema.

Response

200 - application/json

The request has succeeded.

Response containing the OAuth authorization URL and related data.

response
object
required

OAuth authorization URL details.

raw_data
any
page
object

Pagination parameters for requests and responses.